Bug 124763 - USB hard drive gets put in offline state during large transfers
USB hard drive gets put in offline state during large transfers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-29 12:12 EDT by Ian Douglas
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:07:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Douglas 2004-05-29 12:12:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
During a large data transfer (backing up files), the usb drive (I have
tried three different drives: iomega 40GB, pine pt-hde6-60g and MPIO
HS100 1.5GB HDD) fails with an "out of disk space" or some other error
that is not accurate.

This happens with Fedora Core1 and Fedora Core2.  It appears to put
the usb device in an invalid state that even a reboot of the machine
fails to recover.  WinXP WILL reset the device and is able to copy the
exact same file stream to the device in all cases.

Knoppix 2.4.24-xfs works correctly and is also able to reset the
device from the Fedora lockup (unplug from Fedora and then plug in to
WinXP or Knoppix, plugging in to Fedora does not fix it).  Linux on
PS2 also works correctly.


/var/log/messages has the following:
May 29 10:44:24 vaio kernel: scsi: Device offlined - not ready after
error recovery: host 0 channel 0 id 0 lun 0
May 29 10:44:24 vaio kernel: SCSI error : <0 0 0 0> return code = 0x50000
May 29 10:44:24 vaio kernel: end_request: I/O error, dev sda, sector
10857912
May 29 10:44:24 vaio kernel: Buffer I/O error on device sda1, logical
block 10857849
May 29 10:44:24 vaio kernel: lost page write due to I/O error on sda1
May 29 10:44:24 vaio kernel: scsi0 (0:0): rejecting I/O to offline device
May 29 10:44:24 vaio kernel: Buffer I/O error on device sda1, logical
block 10857850
May 29 10:44:24 vaio kernel: lost page write due to I/O error on sda1
May 29 10:44:24 vaio kernel: Buffer I/O error on device sda1, logical
block 10857851
.
.
.
May 29 10:44:24 vaio last message repeated 478 times
May 29 10:44:24 vaio kernel: FAT: bread(block 1362) in fat_access failed
May 29 10:44:24 vaio kernel: scsi0 (0:0): rejecting I/O to offline device
May 29 10:44:30 vaio kernel: scsi0 (0:0): rejecting I/O to offline device
May 29 10:44:30 vaio kernel: printk: 49653 messages suppressed.
May 29 10:44:30 vaio kernel: Buffer I/O error on device sda1, logical
block 1
May 29 10:44:30 vaio kernel: lost page write due to I/O error on sda1
May 29 10:44:30 vaio kernel: scsi0 (0:0): rejecting I/O to offline device


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358, kernel-2.4.20-13.9 -> kernel-2.4.20-31.9

How reproducible:
Always

Steps to Reproduce:
1.  Plug in USB drive
2.  mount drive as /dev/sda1 ...
3.  try to copy more that 1GB of data to the device
4.  Disk activity light will flicker indicating data transfer 
    

Actual Results:  After approx. 600MB of data being transfered, the
device will lockup.

Expected Results:  Expect the entire 1GB of selected data to transfer.

Additional info:

The following machines fail:
Sony Vaio PCG-FRV35 (768MB RAM 40GB) Fedora Core2
Compaq (P4 2.6MHz 768MB RAM 30GB) Fedora Core1
Clone (AMD Thunderbird 1400KHz 1GB RAM - Raid 1 2x250GB) Fedora Core1
Clone (AMD Thunderbird 1200KHz 768MB RAM - 2x120GB) RH 9
Clone (AMD Thunderbird 800KHz 256MB RAM - 120GB) Fedora Core1

The following work:
Sony Vaio PCG-FRV35 (768MB RAM 2x60GB) WinXP Home
Compaq (P4 2.6MHz 768MB RAM 30GB) Win 2000 Pro
Clone (AMD Thunderbird 1200KHz 768MB RAM - 2x120GB) Win 2000 Pro
HP ze5610ca (500MB RAM 40GB) WinXP Home and Knoppix (Debian)
PS2 with the Sony Linux for PS2 (32MB RAM 40GB) Rhino kernel (Debian)
Comment 1 Markku Kolkka 2004-06-04 16:49:45 EDT
I encountered a similar error while trying to read about 50MB from a
Pontis SP600 MP3 player.

Jun  4 15:13:49 nightshade kernel: scsi: Device offlined - not ready
after error recovery: host 0 channel 0 id 0 lun 0
Jun  4 15:13:49 nightshade kernel: SCSI error : <0 0 0 0> return code
= 0x70000
Jun  4 15:13:49 nightshade kernel: end_request: I/O error, dev sda,
sector 436027
Jun  4 15:13:49 nightshade kernel: Buffer I/O error on device sda1,
logical block 435979
Jun  4 15:13:49 nightshade kernel: scsi0 (0:0): rejecting I/O to
offline device
Jun  4 15:13:49 nightshade kernel: Buffer I/O error on device sda1,
logical block 435980

etc.
Comment 2 Markku Kolkka 2004-06-10 06:40:14 EDT
The kernel 2.6.6-1.424 appears to fix the problem with my MP3 player.
Comment 3 Ian Douglas 2004-06-10 08:56:19 EDT
Downloaded and tried the new 424 kernel.  Sure did speed up the reads
but it still bombed on the write.
Comment 4 Miloš Komarčević 2004-06-23 06:39:09 EDT
I'm having similar problems with large writes to a USB Zip250 device
and latest 2.6.6-1.435 kernel
Comment 5 Miloš Komarčević 2004-06-23 06:42:06 EDT
dmesg output:

SCSI error : <1 0 0 0> return code = 0x8000002
Info fld=0x273, Current sda: sense key Hardware Error
Additional sense: Unrecovered read error
end_request: I/O error, dev sda, sector 627
Buffer I/O error on device sda1, logical block 595
lost page write due to I/O error on sda1
SCSI error : <1 0 0 0> return code = 0x6000000
end_request: I/O error, dev sda, sector 628
Buffer I/O error on device sda1, logical block 596
lost page write due to I/O error on sda1
Comment 6 Dave Jones 2005-04-16 01:07:42 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.